summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorRich Trott <rtrott@gmail.com>2021-12-24 11:25:06 -0800
committerGitHub <noreply@github.com>2021-12-24 19:25:06 +0000
commit5cc4b69fd42e73a5cb636ee318024cc425f97b1f (patch)
treef347f52fe51a4e6471802906fc2e4cc265a61b6c /tools
parentce4d3adf5029278090bdfca8e2b8a2fc384b9cc6 (diff)
downloadnode-new-5cc4b69fd42e73a5cb636ee318024cc425f97b1f.tar.gz
tools: be intentional about masking possible error in start-ci.sh
Revise start-ci.sh to conform with shellcheck 0.8.0 default checks. Refs: https://www.shellcheck.net/wiki/SC2312 PR-URL: https://github.com/nodejs/node/pull/41284 Reviewed-By: Richard Lau <rlau@redhat.com> Reviewed-By: Tobias Nießen <tniessen@tnie.de> Reviewed-By: Luigi Pinca <luigipinca@gmail.com> Reviewed-By: Antoine du Hamel <duhamelantoine1995@gmail.com>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/actions/start-ci.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/actions/start-ci.sh b/tools/actions/start-ci.sh
index 174939aa4c..a34f2a9496 100755
--- a/tools/actions/start-ci.sh
+++ b/tools/actions/start-ci.sh
@@ -17,7 +17,7 @@ for pr in "$@"; do
# Do we need to reset?
gh pr edit "$pr" --add-label "$REQUEST_CI_FAILED_LABEL"
- jq -n --arg content "<details><summary>Couldn't start CI</summary><pre>$(cat output)</pre></details>" > output.json
+ jq -n --arg content "<details><summary>Couldn't start CI</summary><pre>$(cat output || true)</pre></details>" > output.json
gh pr comment "$pr" --body-file output.json